
From: "Sean" <seanlkml@rogers.com>

The floppy drive appears to be working for some people with the 
2.6 kernel as is.  However, there have also been reports of some
problems (see http://bugme.osdl.org/show_bug.cgi?id=654 )

The attached patch against 2.6.0-test1 fixes the problem on all the 
machines i've tested.



 drivers/block/floppy.c |    1 +
 1 files changed, 1 insertion(+)

diff -puN drivers/block/floppy.c~floppy-req-botched drivers/block/floppy.c
--- 25/drivers/block/floppy.c~floppy-req-botched	2003-07-19 17:09:25.000000000 -0700
+++ 25-akpm/drivers/block/floppy.c	2003-07-19 17:15:21.000000000 -0700
@@ -4261,6 +4261,7 @@ int __init floppy_init(void)
 			floppy_sizes[i] = MAX_DISK_SIZE << 1;
 
 	blk_init_queue(&floppy_queue, do_fd_request, &floppy_lock);
+	blk_queue_max_hw_segments(&floppy_queue, 1);
 	reschedule_timeout(MAXTIMEOUT, "floppy init", MAXTIMEOUT);
 	config_types();
 

_
